OVH Community, your new community space.

Java 7 64bit, problem z instalacją.


Arkoso
27-04-2012, 11:48
Nie łatwiej było pogoglować niz pisać ten temat?


Wole się zbliża, dzieciaki już serwery minecraft odpalają

Marthless
26-04-2012, 21:38
Cytat Napisał desavil
A następnie jak chcesz jave 7 64bit, to postępuj zgodnie z tym poradnikiem:
http://alexander.holbreich.org/2011/...a-7-on-debian/
Ja tak zrobiłem i mi wszystko działa poprawnie
Na tym się opierałem, lecz zapomniałem o tym napisać. Dzięki tak czy inaczej.

desavil
26-04-2012, 19:49
Zedytuj plik z repozytoriami:
Kod:
nano /etc/apt/sources.list
Dodaj:
Kod:
deb http://ftp.debian.org/debian/ squeeze main non-free
Teraz wykonaj polecenie:
Kod:
apt-get update && apt-get upgrade && apt-get install sun-java6-jre
A następnie jak chcesz jave 7 64bit, to postępuj zgodnie z tym poradnikiem:
http://alexander.holbreich.org/2011/...a-7-on-debian/
Ja tak zrobiłem i mi wszystko działa poprawnie

andriu-m
26-04-2012, 18:05
dlaczego bawisz sie z paczka rpm jak w repo masz dostepna jave w paczce deb

Marthless
26-04-2012, 18:04
Cytat Napisał andriu-m
apt-get install sun-java6-jre
Te polecenie mi w ogóle nie działa.

andriu-m
26-04-2012, 18:02
apt-get install sun-java6-jre

Marthless
26-04-2012, 17:34
Witam, czy ktoś może pomóc w instalacji Javy (jak w temacie). Próbowałem wszystkiego i za każdym mam błąd, zależy mi nad wersja pod system Debian 6 Squeeze 64bit'owy. Będę wdzięczny za pomoc.

Błąd: alien --scripts -i jdk-7u3-linux-x64.rpm
Kod:
Package build failed. Here's the log:
dh_testdir
dh_testdir
dh_testroot
dh_clean -k -d
dh_clean: dh_clean -k is deprecated; use dh_prep instead
dh_clean: Compatibility levels before 5 are deprecated.
dh_installdirs
dh_installdirs: Compatibility levels before 5 are deprecated.
dh_installdocs
dh_installdocs: Compatibility levels before 5 are deprecated.
dh_installchangelogs
dh_installchangelogs: Compatibility levels before 5 are deprecated.
find . -maxdepth 1 -mindepth 1 -not -name debian -print0 | \
                xargs -0 -r -i cp -a {} debian/jdk
dh_compress
dh_compress: Compatibility levels before 5 are deprecated.
dh_makeshlibs
dh_makeshlibs: Compatibility levels before 5 are deprecated.
dh_installdeb
dh_installdeb: Compatibility levels before 5 are deprecated.
dh_shlibdeps
dh_shlibdeps: Compatibility levels before 5 are deprecated.
dpkg-shlibdeps: ostrzeżenie: nie można znaleźć biblioteki libjvm.so potrzebnej dla debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libdcpr.so (format ELF: "elf64-x86-64"; RPATH: "/usr/java/jdk1.7.0_03/jre/lib/amd64").
Uwaga: bibliotek nie szuka się w innych pakietach binarnych, które nie mają żadnego pliku shlibs lub symbols.
Aby pomóc dpkg-shlibdeps w znajdowaniu prywatnych bibliotek, być może należy ustawić LD_LIBRARY_PATH.
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: nie można znaleźć biblioteki libjvm.so potrzebnej dla debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libunpack.so (format ELF: "elf64-x86-64"; RPATH: "/usr/java/jdk1.7.0_03/jre/lib/amd64").
Uwaga: bibliotek nie szuka się w innych pakietach binarnych, które nie mają żadnego pliku shlibs lub symbols.
Aby pomóc dpkg-shlibdeps w znajdowaniu prywatnych bibliotek, być może należy ustawić LD_LIBRARY_PATH.
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: nie można znaleźć biblioteki libjvm.so potrzebnej dla debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libkcms.so (format ELF: "elf64-x86-64"; RPATH: "/usr/java/jdk1.7.0_03/jre/lib/amd64").
Uwaga: bibliotek nie szuka się w innych pakietach binarnych, które nie mają żadnego pliku shlibs lub symbols.
Aby pomóc dpkg-shlibdeps w znajdowaniu prywatnych bibliotek, być może należy ustawić LD_LIBRARY_PATH.
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: nie można znaleźć biblioteki libjvm.so potrzebnej dla debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libzip.so (format ELF: "elf64-x86-64"; RPATH: "/usr/java/jdk1.7.0_03/jre/lib/amd64").
Uwaga: bibliotek nie szuka się w innych pakietach binarnych, które nie mają żadnego pliku shlibs lub symbols.
Aby pomóc dpkg-shlibdeps w znajdowaniu prywatnych bibliotek, być może należy ustawić LD_LIBRARY_PATH.
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: nie można znaleźć biblioteki libjvm.so potrzebnej dla debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/librmi.so (format ELF: "elf64-x86-64"; RPATH: "/usr/java/jdk1.7.0_03/jre/lib/amd64").
Uwaga: bibliotek nie szuka się w innych pakietach binarnych, które nie mają żadnego pliku shlibs lub symbols.
Aby pomóc dpkg-shlibdeps w znajdowaniu prywatnych bibliotek, być może należy ustawić LD_LIBRARY_PATH.
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: nie można znaleźć biblioteki libjvm.so potrzebnej dla debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libattach.so (format ELF: "elf64-x86-64"; RPATH: "/usr/java/jdk1.7.0_03/jre/lib/amd64").
Uwaga: bibliotek nie szuka się w innych pakietach binarnych, które nie mają żadnego pliku shlibs lub symbols.
Aby pomóc dpkg-shlibdeps w znajdowaniu prywatnych bibliotek, być może należy ustawić LD_LIBRARY_PATH.
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: nie można znaleźć biblioteki libjvm.so potrzebnej dla debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libsctp.so (format ELF: "elf64-x86-64"; RPATH: "/usr/java/jdk1.7.0_03/jre/lib/amd64").
Uwaga: bibliotek nie szuka się w innych pakietach binarnych, które nie mają żadnego pliku shlibs lub symbols.
Aby pomóc dpkg-shlibdeps w znajdowaniu prywatnych bibliotek, być może należy ustawić LD_LIBRARY_PATH.
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libnet.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libnet.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libnio.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libnio.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjli.so"
dpkg-shlibdeps: ostrzeżenie: nie można znaleźć biblioteki libjvm.so potrzebnej dla debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libj2gss.so (format ELF: "elf64-x86-64"; RPATH: "/usr/java/jdk1.7.0_03/jre/lib/amd64").
Uwaga: bibliotek nie szuka się w innych pakietach binarnych, które nie mają żadnego pliku shlibs lub symbols.
Aby pomóc dpkg-shlibdeps w znajdowaniu prywatnych bibliotek, być może należy ustawić LD_LIBRARY_PATH.
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: ostrzeżenie: Nie można wydobyć nazwy i wersji z nazwy pliku biblioteki "libjava.so"
dpkg-shlibdeps: błąd: nie można znaleźć biblioteki libXext.so.6 potrzebnej dla debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/xawt/libmawt.so (format ELF: "elf64-x86-64"; RPATH: "/usr/java/jdk1.7.0_03/jre/lib/amd64/xawt:/usr/java/jdk1.7.0_03/jre/lib/amd64/xawt/..").
Uwaga: bibliotek nie szuka się w innych pakietach binarnych, które nie mają żadnego pliku shlibs lub symbols.
Aby pomóc dpkg-shlibdeps w znajdowaniu prywatnych bibliotek, być może należy ustawić LD_LIBRARY_PATH.
dh_shlibdeps: dpkg-shlibdeps -Tdebian/jdk.substvars debian/jdk/usr/java/jdk1.7.0_03/bin/jps debian/jdk/usr/java/jdk1.7.0_03/bin/jdb debian/jdk/usr/java/jdk1.7.0_03/bin/pack200 debian/jdk/usr/java/jdk1.7.0_03/bin/xjc debian/jdk/usr/java/jdk1.7.0_03/bin/serialver debian/jdk/usr/java/jdk1.7.0_03/bin/apt debian/jdk/usr/java/jdk1.7.0_03/bin/javac debian/jdk/usr/java/jdk1.7.0_03/bin/rmic debian/jdk/usr/java/jdk1.7.0_03/bin/jstatd debian/jdk/usr/java/jdk1.7.0_03/bin/javaws debian/jdk/usr/java/jdk1.7.0_03/bin/servertool debian/jdk/usr/java/jdk1.7.0_03/bin/jinfo debian/jdk/usr/java/jdk1.7.0_03/bin/jsadebugd debian/jdk/usr/java/jdk1.7.0_03/bin/jarsigner debian/jdk/usr/java/jdk1.7.0_03/bin/java debian/jdk/usr/java/jdk1.7.0_03/bin/javap debian/jdk/usr/java/jdk1.7.0_03/bin/jrunscript debian/jdk/usr/java/jdk1.7.0_03/bin/extcheck debian/jdk/usr/java/jdk1.7.0_03/bin/keytool debian/jdk/usr/java/jdk1.7.0_03/bin/javah debian/jdk/usr/java/jdk1.7.0_03/bin/appletviewer debian/jdk/usr/java/jdk1.7.0_03/bin/jconsole debian/jdk/usr/java/jdk1.7.0_03/bin/policytool debian/jdk/usr/java/jdk1.7.0_03/bin/jar debian/jdk/usr/java/jdk1.7.0_03/bin/jstack debian/jdk/usr/java/jdk1.7.0_03/bin/tnameserv debian/jdk/usr/java/jdk1.7.0_03/bin/javadoc debian/jdk/usr/java/jdk1.7.0_03/bin/schemagen debian/jdk/usr/java/jdk1.7.0_03/bin/jhat debian/jdk/usr/java/jdk1.7.0_03/bin/unpack200 debian/jdk/usr/java/jdk1.7.0_03/bin/jstat debian/jdk/usr/java/jdk1.7.0_03/bin/idlj debian/jdk/usr/java/jdk1.7.0_03/bin/wsgen debian/jdk/usr/java/jdk1.7.0_03/bin/orbd debian/jdk/usr/java/jdk1.7.0_03/bin/jmap debian/jdk/usr/java/jdk1.7.0_03/bin/wsimport debian/jdk/usr/java/jdk1.7.0_03/bin/rmid debian/jdk/usr/java/jdk1.7.0_03/bin/native2ascii debian/jdk/usr/java/jdk1.7.0_03/bin/rmiregistry debian/jdk/usr/java/jdk1.7.0_03/jre/bin/pack200 debian/jdk/usr/java/jdk1.7.0_03/jre/bin/javaws debian/jdk/usr/java/jdk1.7.0_03/jre/bin/servertool debian/jdk/usr/java/jdk1.7.0_03/jre/bin/java debian/jdk/usr/java/jdk1.7.0_03/jre/bin/keytool debian/jdk/usr/java/jdk1.7.0_03/jre/bin/policytool debian/jdk/usr/java/jdk1.7.0_03/jre/bin/java_vm debian/jdk/usr/java/jdk1.7.0_03/jre/bin/tnameserv debian/jdk/usr/java/jdk1.7.0_03/jre/bin/unpack200 debian/jdk/usr/java/jdk1.7.0_03/jre/bin/orbd debian/jdk/usr/java/jdk1.7.0_03/jre/bin/rmid debian/jdk/usr/java/jdk1.7.0_03/jre/bin/rmiregistry debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libdt_socket.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libattach.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libj2pkcs11.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/xawt/libmawt.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libfontmanager.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libjaas_unix.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libJdbcOdbc.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libsunec.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/headless/libmawt.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libjava_crw_demo.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libunpack.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libjsig.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libj2gss.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libjsdt.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libsplashscreen.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libsaproc.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libdcpr.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libkcms.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libnpt.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libnet.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libnio.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libmanagement.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libdeploy.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libjawt.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libjdwp.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libt2k.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libsctp.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libzip.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libnpjp2.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/jli/libjli.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libhprof.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libinstrument.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libmlib_image.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libjsoundalsa.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libawt.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libjpeg.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libj2pcsc.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/server/libjvm.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libjsound.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/librmi.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libverify.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libjavaplugin_jni.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/amd64/libjava.so debian/jdk/usr/java/jdk1.7.0_03/jre/lib/jexec debian/jdk/usr/java/jdk1.7.0_03/lib/visualvm/profiler/lib/deployed/jdk15/linux-amd64/libprofilerinterface.so debian/jdk/usr/java/jdk1.7.0_03/lib/visualvm/profiler/lib/deployed/jdk16/linux-amd64/libprofilerinterface.so debian/jdk/usr/java/jdk1.7.0_03/lib/jexec returned exit code 2
make: [binary-arch] Błąd 9 (zignorowany)
dh_gencontrol
dh_gencontrol: Compatibility levels before 5 are deprecated.
dpkg-gencontrol: ostrzeżenie: Depends field of package jdk: nieznana zmienna podstawiania ${shlibs:Depends}
dh_md5sums
dh_md5sums: Compatibility levels before 5 are deprecated.
dh_builddeb
dh_builddeb: Compatibility levels before 5 are deprecated.
dpkg-deb: błąd parsowania, w pliku "debian/jdk/DEBIAN/control" niedaleko linii 2 pakiet "jdk":
 error in Version string '1.7.0_03-1': invalid character in version number
dh_builddeb: dpkg-deb --build debian/jdk .. returned exit code 2
make: *** [binary-arch] Błąd 9
I nie wiem jak temu zaradzić.